Bug 108470 - [CI][ICL] igt@kms_atomic_transition@(1|2)x-modeset-transitions-* - fail - Failed assertion: !mismatch
Summary: [CI][ICL] igt@kms_atomic_transition@(1|2)x-modeset-transitions-* - fail - Fai...
Status: NEW
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: medium normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-17 11:03 UTC by Martin Peres
Modified: 2019-07-11 18:53 UTC (History)
1 user (show)

See Also:
i915 platform: ICL
i915 features: display/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2018-10-17 11:03:19 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_129/fi-bxt-dsi/igt@kms_atomic_transition@1x-modeset-transitions.html

Starting subtest: 1x-modeset-transitions
(kms_atomic_transition:1314) igt_debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file ../lib/igt_debugfs.c:392:
(kms_atomic_transition:1314) igt_debugfs-CRITICAL: Failed assertion: !mismatch
Subtest 1x-modeset-transitions failed.
Comment 1 Martin Peres 2018-10-17 11:11:06 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4683/shard-skl6/igt@kms_atomic_transition@1x-modeset-transitions.html

Starting subtest: 1x-modeset-transitions
(kms_atomic_transition:1231) igt_debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file ../lib/igt_debugfs.c:392:
(kms_atomic_transition:1231) igt_debugfs-CRITICAL: Failed assertion: !mismatch
Subtest 1x-modeset-transitions failed.
Comment 2 Martin Peres 2018-10-17 12:22:10 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_4995/shard-skl6/igt@kms_atomic_transition@1x-modeset-transitions-fencing.html

Starting subtest: 1x-modeset-transitions-fencing
(kms_atomic_transition:1340) igt_debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file ../lib/igt_debugfs.c:392:
(kms_atomic_transition:1340) igt_debugfs-CRITICAL: Failed assertion: !mismatch
Subtest 1x-modeset-transitions-fencing failed.
Comment 3 Martin Peres 2018-10-30 16:15:09 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5054/shard-kbl4/igt@kms_atomic_transition@1x-modeset-transitions-nonblocking-fencing.html

Starting subtest: 1x-modeset-transitions-nonblocking-fencing
(kms_atomic_transition:1117) igt_debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file ../lib/igt_debugfs.c:419:
(kms_atomic_transition:1117) igt_debugfs-CRITICAL: Failed assertion: !mismatch
Subtest 1x-modeset-transitions-nonblocking-fencing failed.
Comment 4 Martin Peres 2018-12-11 15:46:04 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_150/fi-whl-u/igt@kms_atomic_transition@1x-modeset-transitions-nonblocking.html

Starting subtest: 1x-modeset-transitions-nonblocking
(kms_atomic_transition:1630) igt_debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file ../lib/igt_debugfs.c:419:
(kms_atomic_transition:1630) igt_debugfs-CRITICAL: Failed assertion: !mismatch
Subtest 1x-modeset-transitions-nonblocking failed.
Comment 5 CI Bug Log 2019-04-16 09:43:20 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BXT SKL KBL WHL: igt@kms_atomic_transition@1x-modeset-transitions-* - fail - Failed assertion: !mismatch -}
{+ BYT BXT SKL KBL GLK WHL: igt@kms_atomic_transition@1x-modeset-transitions-* - fail - Failed assertion: !mismatch +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_253/fi-byt-clapper/igt@kms_atomic_transition@1x-modeset-transitions.html
Comment 6 CI Bug Log 2019-05-23 16:27:41 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BYT BXT SKL KBL GLK WHL: igt@kms_atomic_transition@1x-modeset-transitions-* - fail - Failed assertion: !mismatch -}
{+ BYT BXT SKL KBL GLK WHL: igt@kms_atomic_transition@(1|2)x-modeset-transitions-* - fail - Failed assertion: !mismatch +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_atomic_transition@2x-modeset-transitions.html
Comment 7 CI Bug Log 2019-05-23 16:28:02 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BYT BXT SKL KBL GLK WHL: igt@kms_atomic_transition@(1|2)x-modeset-transitions-* - fail - Failed assertion: !mismatch -}
{+ BYT BXT SKL KBL GLK WHL ICL: igt@kms_atomic_transition@(1|2)x-modeset-transitions-* - fail - Failed assertion: !mismatch +}


  No new failures caught with the new filter
Comment 8 Stanislav Lisovskiy 2019-05-27 11:44:01 UTC
The test case checks if all possible plane combination transitions work as expected. Initially it determines the maximum amount of planes on each pipe by using try_commit, then checks all possible plane transitions.

The crc mismatches can be related to bandwidth/watermark issue when we are testing maximum amount of planes per pipe with 4K resolution.
Comment 9 Lakshmi 2019-05-27 11:48:51 UTC
94% of the failures are occurring on SKL and these failures on SKL used to occur on every run till CI_DRM_5776. But last seen on SKL is (2 months, 1 week old). This concludes that this issue is fixed on SKL.

5% of the failures are on BYT where the reproduction rate is once in 6 8 drmtip runs and last seen on BYT is drmtip 270.

1% on ICL, occurred only once (drmtip_292).
Comment 10 Lakshmi 2019-05-27 11:51:16 UTC
The worst possible outcome would be corrupt/flickering picture.
Comment 11 CI Bug Log 2019-06-03 07:47:56 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BYT BXT SKL KBL GLK WHL ICL: igt@kms_atomic_transition@(1|2)x-modeset-transitions-* - fail - Failed assertion: !mismatch -}
{+ BYT BXT SKL KBL GLK WHL ICL: igt@kms_atomic_transition@(1|2|3)x-modeset-transitions-* - fail - Failed assertion: !mismatch +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_299/fi-icl-u3/igt@kms_atomic_transition@3x-modeset-transitions-fencing.html
Comment 12 Arek Hiler 2019-06-20 08:28:07 UTC
Stan's and Lakshmi's assessment looks correct.

The reproduction history of this bug is quite interesting.

We had a short period where the issue was seen every 4 runs on icl-u3 but it's gone now for 12 runs. Still 28 more runs to assume it may have been fixed.

There was also a period where byt-clapper was failing consistently about a month ago. The following 40 drm-tip runs came out clean. This seems fixed.

The issue was not seen on any shards since 3 months ago.


I am taking off the bug off BYT platform and adding ICL for now.
Comment 13 James Ausmus 2019-07-11 18:53:11 UTC
Still not seen on ICL at drmtip-321. Lowering priority while we continue to watch this until drmtip-339, when we should be able to close if no reproduction occurs


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.